From 3812d6762a66c360755d6f8decf8b639348385db Mon Sep 17 00:00:00 2001
From: Renatafsouza <renata.rfsouza@gmail.com>
Date: Jun 06 2018 00:35:03 +0000
Subject: [PATCH 12/42] Testing page home


---

diff --git a/cypress/integration/home.spec.js b/cypress/integration/home.spec.js
new file mode 100644
index 0000000..56c40eb
--- /dev/null
+++ b/cypress/integration/home.spec.js
@@ -0,0 +1,40 @@
+describe('The Home Page', function() {
+    it('successfully loads', function() {
+      cy.visit('http://localhost:8080/#/')
+      cy.get('.name').contains('Kiskadee')
+      cy.get('.search-text').contains('Find Package')
+      cy.get('#searchInput').type('deepin-menu')
+    })
+  })
+
+
+// describe('Authorization tests', () => {
+
+//   beforeEach(() => {
+//       cy.visit('localhost:8080/#/');
+    
+//       cy.server();
+    
+//       // Stubing server response
+//       cy.route({
+//         method: 'POST',
+//         url: '/login',
+//         status: 200,
+//         response: 'fixture:login.json',
+//       }).as('login');
+//     });
+
+//   it('should access homepage', () => {
+//       cy.title().should('include', 'Falko');
+    
+//       cy.get('#loginRegisterComponent').within(() => {
+//         cy.get('#loginForm').within(() => {
+//         cy.get('.falko-button').eq(0).contains('Log In');
+//         });
+//       });
+    
+//       cy.get('h1').eq(0).contains('Start now!');
+//       cy.get('h1').eq(1).contains('Free Software');
+//       cy.get('h1').eq(2).contains('See beyond');
+//     });
+// })
\ No newline at end of file
diff --git a/src/components/package/Search.vue b/src/components/package/Search.vue
index cc89481..0526063 100644
--- a/src/components/package/Search.vue
+++ b/src/components/package/Search.vue
@@ -2,7 +2,7 @@
   <div class="search-wrapper">
     <div class="row">
       <div class="text-center col-md-12">
-        <h1>Find Packages</h1>
+        <h1 class="search-text">Find Packages</h1>
       </div>
     </div>
     <div class="row">
diff --git a/src/components/shared/DefaultTable.vue b/src/components/shared/DefaultTable.vue
index 5c5b65a..d454b02 100644
--- a/src/components/shared/DefaultTable.vue
+++ b/src/components/shared/DefaultTable.vue
@@ -19,7 +19,7 @@
         <b-pagination align="center" :per-page="perPage" v-model="currentPage"/>
       </em>
       <p class="card-text">
-        <b-table striped hover show-empty responsive
+        <b-table id="table-table" striped hover show-empty responsive
           :items="bodyTable"
           :fields="headerTable"
           :current-page="currentPage"

